import { setConfig } from '../config';
import { Columns } from '../utils/columns.utils';
export interface ArrayWidgetContext {
    inArrayWidget: boolean;
}

export interface ArrayWidgetConfig {
    joinValues?: boolean;
    addable?: boolean;
    deletable?: boolean;
    movable?: boolean;
    minItems?: number;
    maxItems?: number;
    columns: Columns;
    emptyText?: string;
    pagination?:
        | boolean
        | {
              limit: number;
          };
    defaultItem: boolean;
    sortable?: boolean;
    background?: false;
}

setConfig('ArrayWidget', {
    addable: true,
    deletable: true,
    emptyText: 'No items',
    movable: true,
    joinValues: false,
    pagination: {
        limit: 10,
    },
    columns: 6,
    defaultItem: true,
    sortable: true,
});
