import { setConfig } from '../config';

export type StringWidgetConfig = {
    id?: string;
    maxLength?: number;
    minLength?: number;
    pattern?: string | RegExp;
    empty?: string;
    enum?: string[];
    enumMapperKey?: string;
    enumMapping?: boolean;
    enumMapper?: { [key: string]: string } | Record<string, string>;
    selectText?: string;
    type?: string;
};

setConfig('StringWidget', {
    selectText: 'Select',
    enumMapperKey: 'default',
    enumMapping: true,
    empty: 'N/A',
});
